Last modified: 2014-07-16 11:44:36 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 49569 - Make ULS input methods work in content editable divs of Visual Editor
Make ULS input methods work in content editable divs of Visual Editor
Status: ASSIGNED
Product: MediaWiki extensions
Classification: Unclassified
UniversalLanguageSelector (Other open bugs)
master
All All
: High major (vote)
: ---
Assigned To: D Chan
: i18n
: 49643 49704 50293 50345 51354 58662 (view as bug list)
Depends on: 53717
Blocks: ve-multi-lingual 53014
  Show dependency treegraph
 
Reported: 2013-06-14 09:12 UTC by vssun
Modified: 2014-07-16 11:44 UTC (History)
19 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description vssun 2013-06-14 09:12:34 UTC
ULS IME not working with Visual Editor fields
Comment 1 Santhosh Thottingal 2013-06-14 10:03:45 UTC
This is part of a GSOC2013 project and tracked here https://github.com/wikimedia/jquery.ime/issues/136
Comment 2 Nemo 2013-06-16 18:59:56 UTC
*** Bug 49643 has been marked as a duplicate of this bug. ***
Comment 3 James Forrester 2013-06-17 00:35:57 UTC
CCing Moriel who's working for GSoC2013 on VisualEditor issues around i18n and in particular RTL; she may have some thoughts. :-)
Comment 4 Santhosh Thottingal 2013-06-20 03:33:45 UTC
*** Bug 49704 has been marked as a duplicate of this bug. ***
Comment 5 Santhosh Thottingal 2013-06-27 16:37:44 UTC
*** Bug 50293 has been marked as a duplicate of this bug. ***
Comment 6 Siebrand Mazeland 2013-06-27 16:42:17 UTC
Making this a bug instead of a feature, as we would expect the key mappings to work on any input field that is more or less supported for well supported and stable MediaWiki extensions, including VisualEditor.

Set to highest priority. Tracked on Wikimedia Language Engineering team as https://mingle.corp.wikimedia.org/projects/internationalization/cards/3493

If anyone is working on this and expects to be done before 2013-07-07, please let us know and we'll wait. Otherwise, I expect we will have development capacity to take this up and get it delivered by 2013-07-09.
Comment 7 Santhosh Thottingal 2013-06-28 07:07:11 UTC
*** Bug 50345 has been marked as a duplicate of this bug. ***
Comment 8 ansuman 2013-06-28 12:56:36 UTC
Santhosh, I think by changing the summary, we could avoid the duplicates?

(In reply to comment #7)
> *** Bug 50345 has been marked as a duplicate of this bug. ***
Comment 9 Andre Klapper 2013-07-16 10:02:50 UTC
*** Bug 51354 has been marked as a duplicate of this bug. ***
Comment 10 Mahitgar 2013-07-19 12:56:46 UTC
Hi,

Waiting for this to be available for test,if possible  couple of days before VE to be launched on vernacular wikis which are dependent on ULS. Time table for hi and few other wikis is expected to be 22nd July 2013.


Thanks and Warm Regards
Comment 11 Siebrand Mazeland 2013-07-19 13:42:30 UTC
It's probably important to manage expectations here.

Tl;dr: it's not realistic to assess that ULS/jQuery.IME input methods will work in VE before the end of July 2013. At this time, no reliable estimate can be made when this is to be expected. Working towards getting this issue resolved has a high priority in the VE and LE teams.

Input methods for many scripts, either natively supported by an operating system, by an application, or by JavaScript, are currently incompatible or at least lead to unexpcted behavior when using VisualEditor.

Possible ways that will allow this to be resolved are currently being explored. I expect that by the end of next week, The VisualEditor and Language Engineering team will have an understanding that will allow them to estimate how much time is needed to make native input possible in most, if not all scripts, when using VE. Once that is done, further exploration is needed to assess the effort needed to make input methods work correctly, including the input methods of ULS/jQuery.IME.

See bug 33077 for more details. In the near future, I expect we will be able to identify issues that need to be resolved before we can work on this issue specifically in the field "depends on".
Comment 12 Mahitgar 2013-07-19 16:18:23 UTC
Hi, 

Thanks for your reply,I know in any case you will be doing your best to make both extensions compatible.What will be likely situation during the time gap,so please let we know if you can think of any easy time gap solution can be made available.Other wise even while ULS is with us, we will be back to square one. 




Warm Regards
Comment 13 Santhosh Thottingal 2013-08-26 04:27:16 UTC
With https://gerrit.wikimedia.org/r/#/c/79755/ jquery.ime start working in visual editor. The UI is not integrated well with the VE UI. And there are VE specific bugs related to cursor handling and text selection, that are applicable to all IMEs or non latin text.
Comment 14 Mahitgar 2013-08-31 13:53:59 UTC
(In reply to comment #13)
@ Santhosh Thottingal  Please have a look at [https://en.wikipedia.org/wiki/Wikipedia:VisualEditor/Feedback#VE_.2B_ULS_unicode_Devnagari_Script_input_issues].I have added a table of known issues today.

Rgds
Comment 15 Siebrand Mazeland 2013-08-31 15:08:31 UTC
Please use bugzilla as the single place o make issues known that are relevant for developers. References to lists of issues on wiki pages will not do.
Comment 16 Siebrand Mazeland 2014-01-06 16:24:03 UTC
*** Bug 58662 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links